<?php

namespace App\Generated\V1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1\Enums\ChangePartner2NewType;

class ChangePartner2NewDTO extends DTO
{
    use ValueHelper;

    protected $partnerId;
    protected $toType;

    /**
     * 卡片id
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * @return mixed
     */
    public function getToType()
    {
        return $this->toType;
    }

    public function setPartnerId($partnerId)
    {
        $this->partnerId = $partnerId;
    }

    public function setToType($toType)
    {
        $this->toType = $toType;
    }

    public function getAttributeMap()
    {
        return [
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['toType', 'to_type', ChangePartner2NewType::class, Constants::ENUM, null],
        ];
    }

}
